Question about resolving depencies with changed package platforms and versions

Topics: General
Mar 31, 2013 at 1:19 AM
Right now my project (Json.NET) has the following versions in it:
  • .NET 4, 3.5, 2
  • SL4
  • WP7
  • Win8
  • Portable (.NET 4, SL4, WP7, Win8)
I am thinking of changing them in the next version to be:
  • .NET 4.5, 4, 3.5, 2
  • WP7.5
  • Win8
  • Portable (.NET 4, SL4, WP7, Win8)
  • Portable (.NET 4.5, WP8, Win8)
I'm not an expert about how NuGet resolves dependencies so I thought I'd ask you guys, do you see any problems with this change? Will any packages that depend on Json.NET be broken?
Mar 31, 2013 at 10:43 AM
No I don't see any problem with it. You've got all cases covered nicely.